import { GameLogicMgr } from "./logic";
import { GameLogic } from "./GameLogic";

export class GameAnimation extends  cc.Animation {

    protected update(dt: number): void {
        if(GameLogicMgr.inst.isGamePause) {
            if(this.enabled) this.enabled = false;
        }
        else{
            if(!this.enabled) this.enabled = true;
        }
    }
}